System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Protocols.MimeReturnReader

and other classes in the namespace support the .NET Framework's implementations of Web services via the HTTP-GET and HTTP-POST operations. Web service writers and readers serialize and deserialize, respectively, between the parameters or return objects of Web methods and the HTTP request or response streams. Web service writers and readers use HTTP for transport but don't exchange messages using the SOAP standard.

The class implements the client-side reading of non-XML text into Web method return values. To obtain a return value, the text, which is encoded in the body of an HTTP response, is parsed using regular expression pattern matching, as specified by the attribute , which can be applied to a Web method in a client proxy class. The class calls the class to actually perform the pattern matching.

Text pattern matching provides a way for Web services to retrieve HTML content without converting it to XML documents that must be bound to XML Schema definitions. Regular expression search targets are specified in a Web Services Description Language (WSDL) document via match XML elements within text elements. Both elements belong to the namespace http://microsoft.com/wsdl/mime/textMatching/.

When match elements are specified in a WSDL document, the Wsdl.exe tool applies attributes to the corresponding Web methods in the client proxy class that is generated. Also, is used in place of , the default class for deserializing Web method return values according to the .NET Framework's implementations of Web services via the HTTP-GET and HTTP-POST operations.

You typically will not need to use the class directly.

Reads return values from HTTP response text for Web service clients implemented using HTTP but without SOAP.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object ``

  An initializer is an object passed as a parameter to the method. For the class, the initializer is a object based on the return type of the Web method.

  The method is invoked during service initialization. Later, at the time a response is processed, the initializer object is passed to the method of another instance. The other instance performs the actual reading.

  Returns an initializer for the specified method.

  An initializer for the specified method

  A that specifies the Web method for which the initializer is obtained. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The method supplies the object used by the method to parse text contained in the HTTP response. The method is invoked at the time a request is processed. The input parameter, , is obtained by calling the method on another instance of the class that is obtained during client initialization.

  Initializes an instance.

  A object for the return type of the Web method being invoked. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` ``

  To parse the text content of the HTTP response, the class's implementation of the method uses the object passed as an argument to the method. It closes the response stream before returning the deserialized Web method return value.

  Parses text contained in the HTTP response.

  An object containing the deserialized Web method return value.

  A object containing the output message for an operation. A whose content is the body of the HTTP response represented by the parameter. 1.0.5000.0 2.0.0.0